Subject: Re: bug#49160: 28.0.50; [PATCH] Uninitialized inhibit_buffer_hooks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jan 2023 15:20:14 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: "Basil L. Contovounesios" <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 12 Jan 2023 11:25:40 -0500
> 
> >> > So I'm not sure we want this.  What is the real-life use case behind
> >> > this request?
> >> 
> >> The real-life use case is satisfying this bug report+patch from me,
> >> fixing what seems like a simple oversight, and the ensuing peace of mind
> >> that I will be grateful for, of course ;).
> >
> > Stefan, WDYT?
> 
> It makes the code simpler and fixes a bug, I'm all for it.
> I don't think it's urgent, so it's not super important whether it goes
> into `emacs-29`, OTOH.

Installing it means the buffer-list-update-hook will not run when we
generate an indirect buffer with this option.  Is that reasonable?

If you-two aren't averted by this effect, then let's install this on
the emacs-29 branch.